package fr.cnrs.aniseed;

import java.util.*;
import java.awt.*;
import javax.vecmath.*;

/**
 * @author Olivier Tassy
 * @author Cyril Martin
 *
 * @version 1.1, 9 february 2011
 */

public class Blinker extends Thread {
    cell obj;
    Vector colors=new Vector();
    int state=0;
    
////////////////////////////////////////////////////////////////////////////////////////////////////
//Constructor    
    public Blinker(cell obj, Color color1, Color color2) {
        this.setDaemon(true);
        this.obj=obj;
        colors.add(color1);
        colors.add(color2);
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
//Thread for the blinking process
    public void run() {
        while(true) {
            try{
                Thread.sleep(800);

                if(state>=colors.size())
                    state=0;
                
                Color color=(Color) colors.get(state++);
                obj.setSelected( true,new Color3f(color) );
                
            }catch(java.lang.InterruptedException e){;}
        }
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public void addColor(Color color){
        colors.add(color);
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public int colorCount(){
        return colors.size();
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public void stopBlinking(){
        this.interrupt();
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
}