package fr.cnrs.aniseed;

import javax.media.j3d.*;
import javax.vecmath.*;
import java.awt.*;

/**
 * @author Olivier Tassy
 *
 * @version 1.0, Created on 8 juillet 2003, 12:12
 */

//Apperance for unselected text (cell name)
public class appText extends Appearance {
    
    int Z=0;
    
////////////////////////////////////////////////////////////////////////////////////////////////////
//Constructor    
    public appText() {
        
        //Default text appearance
        setCapability(Appearance.ALLOW_RENDERING_ATTRIBUTES_WRITE);
        setCapability(Appearance.ALLOW_RENDERING_ATTRIBUTES_READ);
        
        setCapability(Appearance.ALLOW_COLORING_ATTRIBUTES_WRITE);
        setCapability(Appearance.ALLOW_COLORING_ATTRIBUTES_READ);
        setCapability(Appearance.ALLOW_TRANSPARENCY_ATTRIBUTES_WRITE);
        setCapability(Appearance.ALLOW_TRANSPARENCY_ATTRIBUTES_READ);
        setTransparencyAttributes(new TransparencyAttributes(TransparencyAttributes.NONE,0f));

        Color3f objColor = new Color3f( new java.awt.Color(255,200,0) );
        ColoringAttributes ca = new ColoringAttributes();
        ca.setColor(objColor);
        ca.setShadeModel(ColoringAttributes.FASTEST);
        setColoringAttributes(ca);
        
        
        RenderingAttributes ra = new RenderingAttributes();
        ra.setAlphaTestValue(0f);

        ra.setDepthBufferEnable(true);
        ra.setCapability(RenderingAttributes.ALLOW_DEPTH_ENABLE_READ);
        ra.setCapability(RenderingAttributes.ALLOW_DEPTH_ENABLE_WRITE);
        setRenderingAttributes(ra);
        
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public void setVisible(boolean bool){
        if (bool){
            this.setTransparencyAttributes(new TransparencyAttributes(TransparencyAttributes.NONE,0.0f));
        }else{
            this.setTransparencyAttributes(new TransparencyAttributes(TransparencyAttributes.FASTEST,1.0f));
        }
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public void setColor(Color Couleur){
        if (Couleur != null){
            Color3f coul =new Color3f(Couleur);
            ColoringAttributes ca = new ColoringAttributes(coul,ColoringAttributes.FASTEST);
            this.setColoringAttributes(ca);
        }
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
    public void setZbuffered(boolean bool){
        if(bool)
            this.getRenderingAttributes().setDepthBufferEnable(false);
        else
            this.getRenderingAttributes().setDepthBufferEnable(true);
    }
////////////////////////////////////////////////////////////////////////////////////////////////////    
}
